[Plugin Library] LibFredo6 - v9.2a - 16 Oct 19

Re: [Plugin Library] LibFredo6 - v8.7a - 18 Dec 18

Postby fredo6 » Wed Dec 19, 2018 10:37 pm

Same problem as Oxer. You are on Mac, and there seems to be a problem with Web dialog boxes.

Since you have FredoTools installed, could you check if
- the Quick Launcher works
- if Solid Volume displays a dialog box

Thanks

Fredo
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7a - 18 Dec 18

Postby pbacot » Wed Dec 19, 2018 10:42 pm

Ok updating several Fredo6 plugins allows me to open without prompts and FredoTools and Fredo Collection seem to be in place as before!

Still when I choose "View Trace Log Files..." sometimes a window flashes on and off but nothing else happens.

FredoTools Launcher doesn't do anything.
Solid Volume flashes a window briefly.
0
MacOSX Mojave ShetchUp Pro v19 Twilight Pro v2 M2 Kerkythea PowerCADD
User avatar
pbacot 
Top SketchUcator
 

Re: [Plugin Library] LibFredo6 - v8.7a - 18 Dec 18

Postby fredo6 » Wed Dec 19, 2018 10:46 pm

@oxer, @pbacot,

Can you tell me which version of Safari you run on your Mac.

It seems that Safari does not like a change I made in my code related to dialog boxes.

Thanks

Fredo
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7a - 18 Dec 18

Postby Oxer » Wed Dec 19, 2018 11:19 pm

Yes, have you probe anther options like Defaults Options..., Translate Language.., etc?
To me, with all these options the popup window appear and disappear immediately.

macOS High Sierra 10.13.6 & SU2017
0
"The result is the end what is important is the process" by Oxer
http://www.oxervision.blogspot.com/
User avatar
Oxer 
 

Re: [Plugin Library] LibFredo6 - v8.7a - 18 Dec 18

Postby pbacot » Thu Dec 20, 2018 12:44 am

I have Safari 12.0.2 (13606.3.4.1.4)
0
MacOSX Mojave ShetchUp Pro v19 Twilight Pro v2 M2 Kerkythea PowerCADD
User avatar
pbacot 
Top SketchUcator
 

Re: [Plugin Library] LibFredo6 - v8.7a - 18 Dec 18

Postby Oxer » Thu Dec 20, 2018 3:04 am

I have Safari 12.0.2 (13606.3.4.1.4)
0
"The result is the end what is important is the process" by Oxer
http://www.oxervision.blogspot.com/
User avatar
Oxer 
 

Re: [Plugin Library] LibFredo6 - v8.7d - 20 Dec 18

Postby fredo6 » Thu Dec 20, 2018 9:40 am

NEW RELEASE: LibFredo6 v8.7d - 20 Dec 18

LibFredo6 8.7d fixes a major bug preventing dialog boxes to display on MAC

_______________________________________________________________________________________

See plugin home page of LibFredo6 for Download of LibFredo6.

Main Post of the LibFredo6 thread

Fredo
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7d - 20 Dec 18

Postby ztoundas » Thu Dec 20, 2018 7:38 pm

[quote="fredo6"]NEW RELEASE: LibFredo6 v8.7d - 20 Dec 18

LibFredo6 8.7d fixes a major bug preventing dialog boxes to display on MAC



...Just installed an on windows, the dialog box for Convexify refused to show. :[
0

ztoundas 
 

Re: [Plugin Library] LibFredo6 - v8.7d - 20 Dec 18

Postby ztoundas » Thu Dec 20, 2018 7:52 pm

LibFredo6 8.7d fixes a major bug preventing dialog boxes to display on MAC


Can we have access to 8.7a again? I've searched absolutely every where I can't find it, 8.7d broke Windows dialog boxes. Thanks!
0

ztoundas 
 

Re: [Plugin Library] LibFredo6 - v8.7d - 20 Dec 18

Postby pbacot » Thu Dec 20, 2018 8:01 pm

Thanks Fredo for the help! (I just haven't got back to checking this last one.)
0
MacOSX Mojave ShetchUp Pro v19 Twilight Pro v2 M2 Kerkythea PowerCADD
User avatar
pbacot 
Top SketchUcator
 

Re: [Plugin Library] LibFredo6 - v8.7d - 20 Dec 18

Postby alirezakharazmi » Mon Dec 31, 2018 6:19 pm

Fredo,

I can not install Cruviloft! This is the error:

Curviloft: This plugin requires LibFredo6 version greater than 68.
Current version is 75.

I couldn't find a higher version of LibFredo. What should I do?
Thank you so much.

Alireza
0

alirezakharazmi 
 

Re: [Plugin Library] LibFredo6 - v8.7d - 20 Dec 18

Postby fredo6 » Tue Jan 01, 2019 6:49 pm

alirezakharazmi wrote:Fredo,

I can not install Cruviloft! This is the error:

Curviloft: This plugin requires LibFredo6 version greater than 68.
Current version is 75.

I think the message is that you require LibFredo6 v8.6, and you have an old version (v7.5).

So just upgrade LibFredo6.
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7d - 20 Dec 18

Postby fredo6 » Tue Jan 01, 2019 6:51 pm

ztoundas wrote:Can we have access to 8.7a again? I've searched absolutely every where I can't find it, 8.7d broke Windows dialog boxes. Thanks!

I fixed it with LibFredo6 v8.7e.

Fredo
1
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7e - 01 Jan 19

Postby fredo6 » Tue Jan 01, 2019 6:56 pm

NEW RELEASE: LibFredo6 v8.7e - 01 Jan 19

LibFredo6 8.7e fixes a major bug preventing some dialog boxes to display

_______________________________________________________________________________________

See plugin home page of LibFredo6 for Download of LibFredo6.

Main Post of the LibFredo6 thread

Fredo
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby fredo6 » Thu Jan 10, 2019 3:12 pm

NEW RELEASE: LibFredo6 v8.7f - 10 Jan 19

LibFredo6 8.7f fixes a major bug preventing Animator to generate videos with recent versions of FFmpeg

_______________________________________________________________________________________

See plugin home page of LibFredo6 for Download of LibFredo6.

Main Post of the LibFredo6 thread

Fredo
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby tonyliu » Thu Jan 17, 2019 2:56 pm

載入檔案 Fredo6_!LibFredo6.rb 時發生錯誤
Error: #<ArgumentError: invalid byte sequence in UTF-8>
c:/users/劉祐成/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/top_libfredo6.rbe:50:in `gsub'
c:/users/劉祐成/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/top_libfredo6.rbe:50:in `get_dir_from_ENV'
c:/users/劉祐成/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/top_libfredo6.rbe:413:in `dir_appdata'
c:/users/劉祐成/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/top_libfredo6.rbe:211:in `startup'
C:/Users/劉祐成/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:63:in `process'
C:/Users/劉祐成/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:70:in `<module:LibFredo6_Loader>'
C:/Users/劉祐成/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:28:in `<top (required)>'

window10
0

tonyliu 
Premium Member
Premium Member
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby TIG » Thu Jan 17, 2019 4:14 pm

@tonyliu

Your Windows user-name in Chinese [劉 祐 成] "Liú yòu chéng" seems to be causing the issue.
Ruby is having difficulty encoding it into UTF-8 format...
Having non-ASCII characters in user-names used to be a recipe for an error in Ruby; however, more recent versions are much better in forcing UTF-8 from such strings.

Typically using this in the Ruby Console:
ENV['USERNAME'].encoding
or
ENV['HOME'].encoding
Returns this:
Windows-1252

Which is then converted to the required encoding of UTF-8 in the Ruby processing.

What do you get returned for those ENV tests ?

Perhaps Fredo can strengthen his code to force that encoding ??
0
TIG
User avatar
TIG 
Global Moderator
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby modoleinad » Wed Jan 30, 2019 7:26 pm

Error Loading File Fredo6_!LibFredo6.rb
Error: #<ArgumentError: invalid byte sequence in UTF-8>
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:806:in `match'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:806:in `block (2 levels) in load_from_config'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:805:in `each'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:805:in `block in load_from_config'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:803:in `foreach'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:803:in `load_from_config'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:1218:in `block in load_all_plugins'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:1218:in `each'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/lib6core.rbe:1218:in `load_all_plugins'
c:/users/dan/appdata/roaming/sketchup/sketchup 2018/sketchup/plugins/fredo6_!libfredo6/top_libfredo6.rbe:252:in `startup'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:63:in `process'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:70:in `<module:LibFredo6_Loader>'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:28:in `<top (required)>'
Error Loading File Fredo6_FredoScale.rb
Error: #<TypeError: can't convert nil into an exact number>
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:79:in `-'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:79:in `<top (required)>'
C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_FredoScale.rb:47:in `<module:Fredo6>'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_FredoScale.rb:26:in `<top (required)>'
Error Loading File Fredo6_FredoTools.rb
Error: #<TypeError: can't convert nil into an exact number>
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:79:in `-'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:79:in `<top (required)>'
C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_FredoTools.rb:47:in `<module:Fredo6>'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_FredoTools.rb:26:in `<top (required)>'
Error Loading File Fredo6_JointPushPull.rb
Error: #<TypeError: can't convert nil into an exact number>
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:79:in `-'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_!LibFredo6.rb:79:in `<top (required)>'
C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_JointPushPull.rb:47:in `<module:Fredo6>'
C:/Users/dan/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/Fredo6_JointPushPull.rb:26:in `<top (required)>'

Can anyone help me understand what this error means?
0

modoleinad 
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby fredo6 » Thu Jan 31, 2019 7:07 pm

@modoleinad

Usually, this problem comes when you installed Sketchup without Administrator rights.

So I am afraid you need to uninstall SU2018 and reinstall.

Fredo
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby smeehanla » Thu Jan 31, 2019 8:20 pm

I tried to download FredoTools and Toposhaper yesterday. My current LibFredo6 version is 8.5. I got a message saying that I need LibFredo6 version 86 for FredoTools and LibFredo6 version 87 for Toposhaper. The extension manager doesn't give me the option of updating my 8.5 version. Do I need to uninstall version 8.5 and then install version 8.7? Or do I leave 8.5 in the manager and just install 8.7?
0

smeehanla 
Premium Member
Premium Member
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby TIG » Thu Jan 31, 2019 8:42 pm

No need to uninstall the earlier version[s].
The new installation will overwrite any equivalent files/version etc as needed.
But you should restart SketchUp after finishing the installation[s] to ensure everything gets synced...
0
TIG
User avatar
TIG 
Global Moderator
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby guanjin » Mon Feb 04, 2019 7:28 am

cannot be set in sketchup2015, all Chinese is empty.
0
I come from China, is to learn
User avatar
guanjin 
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby fredo6 » Mon Feb 04, 2019 10:32 am

guanjin wrote:cannot be set in sketchup2015, all Chinese is empty.

Can you be more explicit for the problem.

I do have the Chinese in SU2015

LibFredo6 - plugins load chinese.png


LibFredo6 - About Chinese.png
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby guanjin » Mon Feb 04, 2019 4:14 pm

fredo6 wrote:
guanjin wrote:cannot be set in sketchup2015, all Chinese is empty.

Can you be more explicit for the problem.

I do have the Chinese in SU2015

LibFredo6 - plugins load chinese.png


LibFredo6 - About Chinese.png


Found that your version is 8.7h, I installed 8.7f
0
I come from China, is to learn
User avatar
guanjin 
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby fredo6 » Mon Feb 04, 2019 9:26 pm

v8.7f is the latest release. v8.7h is an internal release on my own laptop.
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7f - 10 Jan 19

Postby fredo6 » Mon Feb 04, 2019 9:28 pm

v8.7f is the latest release. v8.7h is an internal release on my own laptop.
0
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7k - 14 Feb 19

Postby fredo6 » Thu Feb 14, 2019 12:43 pm

NEW RELEASE: LibFredo6 v8.7k - 14 Feb 19

LibFredo6 8.7k fixes various bugs and the accuracy of the hand cursor over button palettes

_______________________________________________________________________________________

See plugin home page of LibFredo6 for Download of LibFredo6.

Main Post of the LibFredo6 thread

Fredo
2
User avatar
fredo6 
PluginStore Author
PluginStore Author
 

Re: [Plugin Library] LibFredo6 - v8.7k - 14 Feb 19

Postby Puco » Fri Feb 15, 2019 1:01 pm

Hi Fredo one question, I installed SU 2019 and the first thing that I freshly install is LibFredo6-v8.7K but when I go to Windows/LibFredo6Settings/Check for updates it gives info that 8.7j is actually installed and needs an update to 8.7k... I tried everything to fix this, fresh install and everything and after several attempts to install 8.7k, it gives a result as if I have installed 8.7j and needs an update. Any help?
0

Puco 
 

Re: [Plugin Library] LibFredo6 - v8.7k - 14 Feb 19

Postby TIG » Fri Feb 15, 2019 1:45 pm

You must restart SketchUp to ensure the latest installed version is loaded.
But if the issue continues after that, then come back...
1
TIG
User avatar
TIG 
Global Moderator
 

Re: [Plugin Library] LibFredo6 - v8.7k - 14 Feb 19

Postby Puco » Fri Feb 15, 2019 2:18 pm

Did restart SketchUp, and my pc to be entirely sure that everything is set correctly, but no luck, 8.7j is installed instead of 8.7k. Checked the download folder if I accidentally have the wrong version downloaded, but no, everything is ok, 8.7 K is what I have downloaded and installed, and yet, SketchUp even upon restart of the program and pc says that I need to actually update to 8.7 k :(
0

Puco 
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 

PreviousNext


 

Return to Plugins

Who is online

Users browsing this forum: bugsbugsbugs and 13 guests

Visit our sponsors: